/v1/device/routing/bgp/nbrid

Prev Next
Get
/v1/device/routing/bgp/nbrid

Get BGP Neighbor ID Table

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Query parameters
deviceId
integer (int64) Required

Valid configured device ID > 0

Example1000000
vrfName
stringRequired

Valid configured VRF name

Exampledefault
Responses
200

OK

Expand All
object
nbrs
Array of string
string

BGP Nbr addresses (required)

Example10.121.12.34, 1211:343:ac34::12
pageInfo
object (commonPageInfo)
currentPage
integer (int32)

The page number we are currently on (required)

Minimum0
Example1
endCursor
string

Cursor pointing to the last record on the current page

Examplexxxxxxy
hasNextPage
boolean

An indicator whether there is a page after this one in the resultset based on current position

Exampletrue
hasPrevPage
boolean

An indicator whether there is a page before this one in the resultset based on current position

Exampletrue
startCursor
string

Cursor pointing to the first record on the current page

Examplexxxxxx
totalPages
integer (int32)

The number of pages in the complete resultset based on the current length of the page (required)

Minimum0
Example4
totalRecords
integer (int32)

Describes the total number of records in the complete resultset (required)

Minimum0
Example400
token
string

Reference to the resultset being queried, this should be sent by the service as part of a previous request and so can be opaque to the client.

Examplexxxxxxxxx